<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>LDAPMonitor</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="description" content="Monitor your Active directory.">
	<meta name="author" content="LdapMonitor">
	<meta name="keywords" content="LdapMonitor, Active Directory, LDAP">
	<meta name="mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="twitter:card" content="summary" />
	<meta name="twitter:site" content="@daif" />
	<meta property="og:url" content="<?php echo BaseURL()?>" />
	<meta property="og:site_name" content="LdapMonitor" />
	<meta property="og:title" content="LdapMonitor" />
	<meta property="og:description" content="Monitor your Active directory." />
	<meta property="og:image" itemprop="image" content="<?php echo BaseURL()?>assets/logo.png" />
	<meta property="og:type" content="website" />
	<meta property="og:updated_time" content="1550949963" />
	<link rel="icon" href="<?php echo BaseURL()?>assets/logo.png" />
	<link rel="apple-touch-icon" href="<?php echo BaseURL()?>assets/logo.png" />
	<link rel="stylesheet" href="<?php echo BaseURL()?>assets/bootstrap.css" />
</head>

<body style="background-color: #eff4f7">
	<nav class="navbar navbar-expand-md navbar-dark fixed-top" style="background-color: #566787;">
		<div class="container">
			<a class="navbar-brand" href="<?php echo BaseURL()?>">LdapMonitor</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsDefault" aria-controls="navbarsDefault" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarsDefault">
				<ul class="navbar-nav mr-auto">
					<li class="nav-item active">
						<a class="nav-link" href="<?php echo BaseURL()?>">Home <span class="sr-only">(current)</span></a>
					</li>
				</ul>
			</div>
			<?php if(UserLoginCheck(FALSE)) { ?>
			<button type="button" class="btn btn-light" data-toggle="modal" data-target="#reportModal" style="margin-right: 5px;">
				<i class="fas fa-wrench"></i>
			</button>
			<a href="<?php echo BaseURL()?>logout" class="btn btn-light">
				<i class="fas fa-sign-out-alt"></i>
			</a>
		   <?php } ?>
		</div>
	</nav>
	
	<?php if(!UserLoginCheck(FALSE)) { ?>
	<main role="main">
		<div class="container" style="padding:4em 0em;">
			<div class="row">
				<div class="col-md-3"></div>
				<div class="col-md-6">
					<h1 class="display-5">Login</h1>
					<div class="card mb-4 bg-light">
						<div class="card-body">
							<?php if(!empty($_SESSION['error'])) { ?>
								<div class="alert alert-warning alert-dismissible fade show" role="alert">
									<strong>Error:</strong> <?php echo $_SESSION['error']?>
									<button type="button" class="close" data-dismiss="alert" aria-label="Close">
									<span aria-hidden="true">&times;</span>
									</button>
								</div>
							<?php unset($_SESSION['error']); ?>
							<?php } ?>

							<form method="POST" action="<?php echo BaseURL()?>login">
							<div class="form-group">
								<label for="user">User</label>
								<input type="text" class="form-control" id="user" name="user" aria-describedby="userHelp">
								<small id="userHelp" class="form-text text-muted">Username with domain e.g. <code>domain\user</code></small>
							</div>
							<div class="form-group">
								<label for="password">Password</label>
								<input type="password" class="form-control" name="password" id="password">
							</div>
							<button type="submit" class="btn btn-primary">
								<i class="fas fa-sign-in-alt"></i> Login
							</button>
							</form>
						</div>
					</div>
				</div>
				<div class="col-md-3"></div>
			</div>
		</div>
	</main>
	<?php } ?>

	<?php if(UserLoginCheck(FALSE) && $action =='') { ?>
	<main role="main">
		<div class="container" style="padding:4em 0em 1em 0em;">
			<div class="container">
				<div class="row">
					<?php foreach ($reports as $key => $report) { ?>
					<?php if($report['active']!='true') continue; ?>
					<div class="col-md-4">
						<div class="card mb-4 bg-light">
							<div class="card-body report" id="<?php echo $report['id']?>">
								<h2><span class="badge badge-info report-count"><?php echo $report['count']?></span></h2>
								<h5 class="card-title" style="min-height: 50px;"><?php echo $report['name']?></h5>
								<small class="text-muted">Last update: <span class="report-updated_at"><?php echo $report['updated_at']?></span></small></small>

								<form method="POST" action="<?php echo BaseURL()?>api/list" class="list-form" style="float:right">
									<input type="hidden" name="id" value="<?php echo $report['id']?>">
									<button class="btn btn-sm btn-secondary list-button" type="submit">
										<span class="spinner-border spinner-border-sm list-spinner" role="status" aria-hidden="true" style="display: none"></span>
										<i class="fas fa-list list-icon"></i>
									</button>
								</form>

								<form method="POST" action="<?php echo BaseURL()?>api/count" class="reload-form" style="float:right">
									<input type="hidden" name="id" value="<?php echo $report['id']?>">
									<button class="btn btn-sm btn-secondary reload-button" type="submit" style="margin-right: 3px;">
										<span class="spinner-border spinner-border-sm reload-spinner" role="status" aria-hidden="true" style="display: none"></span>
										<i class="fas fa-sync-alt reload-icon"></i>
									</button>
								</form>

							</div>
						</div>
					</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</main>
	<?php } ?>

<form method="POST" action="<?php echo BaseURL()?>api/save" class="save-form">
	<!-- Modal -->
	<div class="modal fade" id="reportModal" tabindex="-1" role="dialog" aria-labelledby="reportModalTitle" aria-hidden="true">
	  <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title" id="reportModalTitle">Control</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
				<div class="form-group row">
					<label for="name" class="col-sm-2 col-form-label">Report</label>
					<div class="col-sm-10">
						<select class="custom-select" id="id" name="id" aria-describedby="idHelp" required />
						<option value="0">--- Create new ---</option>
						<?php foreach ($reports as $key => $report) { ?>
							<option value="<?php echo $report['id']?>"><?php echo $report['name']?></option>
						<?php } ?>
						</select>
					</div>
				</div>
				<div class="form-group row">
					<label for="name" class="col-sm-2 col-form-label">Name</label>
					<div class="col-sm-10">
						<input type="text" class="form-control" id="name" name="name" required />
					</div>
				</div>
				<div class="form-group row">
					<label for="filter" class="col-sm-2 col-form-label">Filter</label>
					<div class="col-sm-10">
						<textarea class="form-control" id="filter" name="filter" rows="3" aria-describedby="filterHelp" required></textarea>
						<small id="filterError" class="form-text text-danger"></small>
						<small id="filterHelp" class="form-text text-muted">LDAP query 
							<a href="https://social.technet.microsoft.com/wiki/contents/articles/5392.active-directory-ldap-syntax-filters.aspx" target="_BLANK">e.g.</a>
							<code>(&(objectClass=user)(lockoutTime>=<b style="color: #333;">{date:today}</b>))</code>, and support date variable e.g. <code>{date:today}</code>, <code>{date:-5 days}</code>, <code>{date:2017-12-31}</code>
						</small>
					</div>
				</div>
				<div class="form-group row">
					<label for="columns" class="col-sm-2 col-form-label">LDAP attributes</label>
					<div class="col-sm-10">
						<textarea class="form-control" id="columns" name="columns" rows="3" aria-describedby="columnsHelp" required></textarea>
						<small id="columnsHelp" class="form-text text-muted">LDAP attributes separated by comma to display in the report e.g. <code>CN</code>, <code>sAMAccountName</code>, <code>whenChanged</code></small>
					</div>
				</div>
				<div class="form-group row">
					<label for="sort" class="col-sm-2 col-form-label">Sort</label>
					<div class="col-sm-10">
						<input type="text" class="form-control" id="sort" name="sort" aria-describedby="sortHelp" required />
						<small id="sortHelp" class="form-text text-muted">Sort report by this attribute e.g. <code>whenChanged</code></small>
					</div>
				</div>
				<div class="form-group row">
					<label for="cache" class="col-sm-2 col-form-label">Update</label>
					<div class="col-sm-10">
						<input type="number" class="form-control" id="update" name="update" aria-describedby="updateHelp" required />
						<small id="updateHelp" class="form-text text-muted">Update interval in minutes</small>
					</div>
				</div>
				<div class="form-group row">
					<label for="cache" class="col-sm-2 col-form-label">Is Active</label>
					<div class="col-sm-10">
						<select class="custom-select" id="active" name="active" aria-describedby="activeHelp" required />
							<option selected value="true">Yes</option>
							<option value="false">No</option>
						</select>
						<small id="activeHelp" class="form-text text-muted">show or hide the report</small>
					</div>
				</div>			
		  </div>
		  <div class="modal-footer">
			<button type="submit" class="btn btn-primary">
				<span class="spinner-border spinner-border-sm save-spinner" role="status" aria-hidden="true" style="display: none"></span>
				<i class="fas fa-save save-icon"></i>
				Save
			</button>
			<button type="button" class="btn btn-danger" id="delete-button">
				<i class="fas fa-trash-alt"></i>
				Delete
			</button>
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
		  </div>
		</div>
	  </div>
	</div>
</form>

<form method="POST" action="<?php echo BaseURL()?>api/delete" class="delete-form">
	<!-- Modal -->
	<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalTitle" aria-hidden="true">
	  <div class="modal-dialog modal-dialog-centered" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title" id="deleteModalTitle">Are you sure?</h5>
		  </div>
		  <div class="modal-body">
			Do you really want to delete this report?
			<input type="hidden" name="id" id="id" value="" />
		  </div>
		  <div class="modal-footer">
			<button type="submit" class="btn btn-danger">
				<span class="spinner-border spinner-border-sm delete-spinner" role="status" aria-hidden="true" style="display: none"></span>
				<i class="fas fa-trash-alt delete-icon"></i>
				Delete
			</button>
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
		  </div>
		</div>
	  </div>
	</div>
</form>

<!-- Modal -->
<div class="modal fade" id="tableModal" tabindex="-1" role="dialog" aria-labelledby="tableModalTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
	<div class="modal-content">
	  <div class="modal-header">
		<h5 class="modal-title" id="tableModalTitle"></h5>
		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
		  <span aria-hidden="true">&times;</span>
		</button>
	  </div>
	  <div class="modal-body" id="tableModalData">
	  </div>
	</div>
  </div>
</div>

	<div class="container-fluid" style="border-bottom: 1px solid #aaa;margin-top: 15px;margin-bottom: 5px;"></div>
	<footer class="container">
		<p>&copy; <?php echo date('Y')?> <a href="https://daif.net/ldapmonitor/">LdapMonitor</a> <?php echo VERSION ?></p>
	</footer>
	<script src="<?php echo BaseURL()?>assets/bootstrap.min.js"></script>
</body>
</html>